#2042 closed Task (fixed)

ENHANCE-05_Gurvan-Vertical_Advection

Reported by: gm Owned by: acc
Priority: normal Milestone: 2018 WP
Component: OCE Version: trunk
Severity: minor Keywords:
Cc: Review: passed
MP ready?: yes
Progress: Code successfully merged into trunk. Works successfully with flux limited scheme (ln_traadv_mus) but awaits developments elsewhere to be fully operational. Documentation delayed to discourage activation before final tweaks and testing in 2019.

Description (last modified by acc)

Context

A 2018 development to add an adaptive-implicit vertical advection based on Shchepetkin 2015 (as used in CROCO).

Proposal

  • Option to be selected via a logical set in the namzdf name list (ln_zad_Aimp)
  • New routine to compute Courant number criteria and partition wn into wn + wi where wi is to be treated implicitly (hopefully at infrequent and sparse locations). New routine added to sshwzv.F90 and called from step
  • wi treated implicitly by adding appropriate terms to the tridiagonal solvers in tra_zdf and dyn_zdf
  • include diagnostic output to track activity of the scheme

Development branch:

http://forge.ipsl.jussieu.fr/nemo/browser/NEMO/branches/2018/dev_r9956_ENHANCE05_ZAD_AIMP

Commit History (4)

ChangesetAuthorTimeChangeLog
10364acc2018-11-30T18:42:51+01:00

Introduce Adaptive-Implicit vertical advection option to the trunk. This is code merged from branches/2018/dev_r9956_ENHANCE05_ZAD_AIMP (see ticket #2042). The structure for the option is complete but is currently only successful with the flux-limited advection scheme (ln_traadv_mus). The use of this scheme with flux corrected advection schemes is not recommended until improvements to the nonoscillatory algorithm have been completed (work in progress elsewhere). The scheme is activated via a new namelist switch (ln_zad_Aimp) and is off by default.

10019acc2018-07-31T14:27:50+02:00

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. Minor corrections to sshwzv.F90, dynzdf.F90 and trazdf.F90 to provide a draft working set. Early indications are that the scheme is now working for the simple test cases tried so far. See ticket #2042

10008acc2018-07-26T17:58:13+02:00

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. Fix bug in trazdf.F90 to get closer to maintaining constant salinity in a simple GYRE test with uniform salinity. Also tidy dynzdf.F90 so results are the same with wi=0 and ln_zad_Aimp=T/F. See ticket #2042

9976acc2018-07-19T17:58:12+02:00

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. First set of changes to implement an adaptive-implicit vertical advection option (see ticket #2042). This code compiles and runs but has issues when the new option is activated.

Change History (10)

comment:1 Changed 23 months ago by gm

  • Type changed from Enhancement to Task

comment:2 Changed 23 months ago by nicolasmartin

  • Owner set to gm
  • Status changed from new to assigned

comment:3 Changed 18 months ago by acc

  • Description modified (diff)
  • Owner changed from gm to acc

comment:4 Changed 18 months ago by acc

  • Description modified (diff)

comment:5 Changed 18 months ago by acc

In 9976:

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. First set of changes to implement an adaptive-implicit vertical advection option (see ticket #2042). This code compiles and runs but has issues when the new option is activated.

comment:6 Changed 18 months ago by acc

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. Fixes to dynzdf.F90 so that it gives the same results with or without ln_zad_Aimp set true if vertical velocity partitioning is disabled

Changeset: 9979

comment:7 Changed 18 months ago by acc

In 10008:

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. Fix bug in trazdf.F90 to get closer to maintaining constant salinity in a simple GYRE test with uniform salinity. Also tidy dynzdf.F90 so results are the same with wi=0 and ln_zad_Aimp=T/F. See ticket #2042

comment:8 Changed 18 months ago by acc

In 10019:

Branch: dev_r9956_ENHANCE05_ZAD_AIMP. Minor corrections to sshwzv.F90, dynzdf.F90 and trazdf.F90 to provide a draft working set. Early indications are that the scheme is now working for the simple test cases tried so far. See ticket #2042

comment:9 Changed 14 months ago by acc

In 10364:

Introduce Adaptive-Implicit vertical advection option to the trunk. This is code merged from branches/2018/dev_r9956_ENHANCE05_ZAD_AIMP (see ticket #2042). The structure for the option is complete but is currently only successful with the flux-limited advection scheme (ln_traadv_mus). The use of this scheme with flux corrected advection schemes is not recommended until improvements to the nonoscillatory algorithm have been completed (work in progress elsewhere). The scheme is activated via a new namelist switch (ln_zad_Aimp) and is off by default.

comment:10 Changed 13 months ago by acc

  • MP ready? set to yes
  • Progress modified (diff)
  • Resolution set to fixed
  • Review set to passed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.